import request from '@/utils/request'

// 查询师傅等级配置列表
export function listWorkerLevel(query) {
  return request({
    url: '/system/WorkerLevel/list',
    method: 'get',
    params: query
  })
}

// 查询师傅等级配置详细
export function getWorkerLevel(id) {
  return request({
    url: '/system/WorkerLevel/' + id,
    method: 'get'
  })
}

// 新增师傅等级配置
export function addWorkerLevel(data) {
  return request({
    url: '/system/WorkerLevel',
    method: 'post',
    data: data
  })
}

// 修改师傅等级配置
export function updateWorkerLevel(data) {
  return request({
    url: '/system/WorkerLevel',
    method: 'put',
    data: data
  })
}

// 删除师傅等级配置
export function delWorkerLevel(id) {
  return request({
    url: '/system/WorkerLevel/' + id,
    method: 'delete'
  })
}
